%define	major 3
%define libname	%mklibname ykclient %{major}
%define develname %mklibname -d ykclient

Summary:	Implements online validation of Yubikey OTPs
Name:		ykclient
Version:	2.12
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		https://github.com/Yubico/yubico-c-client
Source0:	https://github.com/Yubico/yubico-c-client/archive/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	chrpath
BuildRequires:	curl-devel
BuildRequires:	help2man
BuildRequires:	libtool

%description
This is a library written in C to validate a Yubikey OTP against the Yubico
online server.

%package -n	%{libname}
Summary:	Implements online validation of Yubikey OTPs
Group:          System/Libraries
Obsoletes:	%{mklibname libyubikey-client 0}

%description -n	%{libname}
This is a library written in C to validate a Yubikey OTP against the Yubico
online server.

%package -n	%{develname}
Summary:	Static library and header files for the libykclientt library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Requires:	%{libname} = %{version}
Obsoletes:	%{mklibname libyubikey-client -d}

%description -n	%{develname}
This is a library written in C to validate a Yubikey OTP against the Yubico
online server.

This package contains the static libyubikey-client library and its header files.

%prep
%setup -q -n yubico-c-client-ykclient-%{version}

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%check
make check

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

# nuke rpath
chrpath -d %{buildroot}%{_bindir}/ykclient

%files
%{_bindir}/ykclient
%{_mandir}/man1/*.1*

%files -n %{libname}
%doc AUTHORS NEWS README
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Tue Nov 05 2013 fwang <fwang> 2.12-1.mga4
+ Revision: 549536
- update file list
- update file list
- disable static
- br help2man
- use autoreconf
- new version 2.12

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.9-2.mga3
+ Revision: 387561
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 22 2012 dlucio <dlucio> 2.9-1.mga3
+ Revision: 296694
- 2.9
- imported package ykclient

